Bug 504474 - Review Request: rubygem-rack-test - Simple testing API built on Rack
Review Request: rubygem-rack-test - Simple testing API built on Rack
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504471
  Show dependency treegraph
 
Reported: 2009-06-07 07:44 EDT by Lubomir Rintel
Modified: 2009-07-10 05:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 05:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:44:49 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-rack-test.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rack-test-0.3.0-1.fc11.src.rpm

Description:

Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on. Most of its initial functionality is an extraction of Merb 1.0's
request helpers feature.
Comment 3 Mamoru TASAKA 2009-06-28 12:06:27 EDT
Basically okay, however 0.4.0 is released on 2009-06-25.
Would you upgrade this srpm?
Comment 5 Mamoru TASAKA 2009-06-30 12:01:29 EDT
Well,
- I have overlooked it, however it seems this package should have
  "Requires: rubygem(rack)" because lib/rack/test.rb contains:
--------------------------------------------------------------
     5  require "uri"
     6  require "rack"
--------------------------------------------------------------
  (although Rakefile does not suggest such dependency). Would
  you check this?
Comment 6 Lubomir Rintel 2009-07-08 11:55:39 EDT
Right, though there's little chance anyone would test a rack application w/o having rack installed. I've updated the package:

SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-rack-test.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-rack-test-0.4.0-2.fc11.src.rpm
Comment 7 Mamoru TASAKA 2009-07-08 12:41:32 EDT
Okay.

---------------------------------------------------------------
    This package (rubygem-rack-test) is APPROVED by mtasaka
---------------------------------------------------------------
Comment 8 Lubomir Rintel 2009-07-08 13:10:14 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: rubygem-rack-test
Short Description: Simple testing API built on Rack
Owners: lkundrak
Branches: F-10 F-11 EL-5
Comment 9 Jason Tibbitts 2009-07-09 23:34:12 EDT
CVS done.
Comment 10 Lubomir Rintel 2009-07-10 05:02:24 EDT
Thanks for the review.

Imported and built.

Note You need to log in before you can comment on or make changes to this bug.